doctype html
html
  head
    title= title
    link(rel='stylesheet', href='/stylesheets/style.css')
    link(rel="shortcut icon" type="image/png" href="/images/bcc.png")
    script(src='https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.js')
    script(src='http://code.jquery.com/ui/1.11.4/jquery-ui.min.js')
    block scripts
      script(src='https://d3js.org/d3.v3.min.js')
  
  body
    
    script.
      var ward = '#{wardName}'

    script
      include ../public/javascripts/pop_up.js
      include ../public/javascripts/pgLoad.js
      include ../public/javascripts/coloursInJavascript.js  

    //if the ward is undefined it is always going to be ashley
    if typeof wardName === 'undefined'
      wardName == "Ashley"
    
    //#loader
    .loading#loader Loading&#8230;

    //top menu bar
    div#menu.shadow2
      div.menu_cont      
        ul.menuLinks
          li.r 
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley") Front Page
            else   
              a(href="/wards/" + wardName) Front Page
          li.l
            a( href="#",onclick="window.print()",return false) Save Page
          
  
    //left menu wards
    div#sideWards   
    
        if typeof category === 'undefined'
          a(href="/wards/Ashley") Ashley
        else   
          a(href="/wards/Ashley/"+ category) Ashley
         
        if typeof category === 'undefined'
          a(href="/wards/avonmouth_and_lawrence_weston") Avonmouth and Lawrence Weston
        else   
          a(href="/wards/avonmouth_and_lawrence_weston/"+ category) Avonmouth and Lawrence Weston
   
        if typeof category === 'undefined'
          a(href="/wards/Bedminster") Bedminster
        else   
          a(href="/wards/Bedminster/"+ category) Bedminster
  
        if typeof category === 'undefined'
          a(href="/wards/bishopston_and_ashley_down") Bishopston and Ashley Down
        else   
          a(href="/wards/bishopston_and_ashley_down/"+ category) Bishopston and Ashley Down
      
        if typeof category === 'undefined'
          a(href="/wards/Bishopsworth") Bishopsworth
        else   
          a(href="/wards/Bishopsworth/"+ category) Bishopsworth      
    
        if typeof category === 'undefined'
          a(href="/wards/brislington_east") Brislington East
        else   
          a(href="/wards/brislington_east/"+ category) Brislington East

        if typeof category === 'undefined'
          a(href="/wards/brislington_west") Brislington West
        else   
          a(href="/wards/brislington_west/"+ category) Brislington West

        if typeof category === 'undefined'
          a(href="/wards/Central") Central
        else   
          a(href="/wards/Central/"+ category) Central
  
        
        if typeof category === 'undefined'
          a(href="/wards/Clifton") Clifton
        else   
          a(href="/wards/Clifton/"+ category) Clifton
  
  
        if typeof category === 'undefined'
          a(href="/wards/clifton_down") Clifton Down
        else   
          a(href="/wards/clifton_down/"+ category) Clifton Down
      
        
        if typeof category === 'undefined'
          a(href="/wards/Cotham") Cotham
        else   
          a(href="/wards/Cotham/"+ category) Cotham
      
        if typeof category === 'undefined'
          a(href="/wards/Easton") Easton
        else     
          a(href="/wards/Easton/"+ category) Easton

        if typeof category === 'undefined'
          a(href="/wards/eastville") Eastville
        else   
          a(href="/wards/eastville/"+ category) Eastville
      
        if typeof category === 'undefined'
          a(href="/wards/filwood") Filwood
        else   
          a(href="/wards/filwood/"+ category) Filwood
      
        if typeof category === 'undefined'
          a(href="/wards/frome_vale") Frome Vale
        else   
          a(href="/wards/frome_vale/"+ category) Frome Vale
    
        if typeof category === 'undefined'
          a(href="/wards/hartcliffe_and_withywood") Hartcliffe &amp; Withywood  
        else   
          a(href="/wards/hartcliffe_and_withywood/"+ category) Hartcliffe &amp; Withywood  
    
        if typeof category === 'undefined'
          a(href="/wards/henbury_and_brentry")  Henbury &amp; Brentry 
        else   
          a(href="/wards/henbury_and_brentry/"+ category)  Henbury &amp; Brentry
    
        if typeof category === 'undefined'
          a(href="/wards/hengrove_and_whitchurch_park")  Hengrove &amp; Whitchurch Park
        else   
          a(href="/wards/hengrove_and_whitchurch_park/"+ category)  Hengrove &amp; Whitchurch Park
    
        if typeof category === 'undefined'
          a(href="/wards/Hillfields")  Hillfields
        else   
          a(href="/wards/Hillfields/"+ category)  Hillfields
      
        if typeof category === 'undefined'
          a(href="/wards/horfield") Horfield
        else   
          a(href="/wards/horfield/"+ category) Horfield
    
      
        if typeof category === 'undefined'
          a(href="/wards/hotwells_and_harbourside")  Hotwells &amp; Harbourside
        else   
          a(href="/wards/hotwells_and_harbourside/"+ category)  Hotwells &amp; Harbourside
      
        if typeof category === 'undefined'
          a(href="/wards/knowle")  Knowle
        else   
          a(href="/wards/knowle/"+ category)  Knowle
    
        if typeof category === 'undefined'
          a(href="/wards/lawrence_hill")  Lawrence Hill
        else   
          a(href="/wards/lawrence_hill/"+ category)  Lawrence Hill
    
        if typeof category === 'undefined'
          a(href="/wards/Lockleaze")  Lockleaze
        else   
          a(href="/wards/Lockleaze/"+ category)  Lockleaze
  
        if typeof category === 'undefined'
          a(href="/wards/Redland")  Redland
        else   
          a(href="/wards/Redland/"+ category)  Redland
        
    
        if typeof category === 'undefined'
          a(href="/wards/st_george_central")  St George Central
        else   
          a(href="/wards/st_george_central/"+ category) St George Central
      
        if typeof category === 'undefined'
          a(href="/wards/st_george_troopers_hill")  St George Troopers Hill
        else   
          a(href="/wards/st_george_troopers_hill/"+ category)  St George Troopers Hill     
      
        if typeof category === 'undefined'
          a(href="/wards/st_george_west")  St George West
        else   
          a(href="/wards/st_george_west/"+ category) St George West
      
        if typeof category === 'undefined'
          a(href="/wards/Southmead")  Southmead
        else   
          a(href="/wards/Southmead/"+ category)  Southmead 
      
        if typeof category === 'undefined'
          a(href="/wards/Southville")  Southville
        else   
          a(href="/wards/Southville/"+ category)  Southville 
    
        if typeof category === 'undefined'
          a(href="/wards/Stockwood")  Stockwood
        else   
          a(href="/wards/Stockwood/"+ category)  Stockwood
    
        if typeof category === 'undefined'
          a(href="/wards/stoke_bishop") Stoke Bishop
        else   
          a(href="/wards/stoke_bishop/"+ category) Stoke Bishop
      
        if typeof category === 'undefined'
          a(href="/wards/westbury-on-Trym_and_henleaze")  Westbury-on-Trym &amp; Henleaze
        else   
          a(href="/wards/westbury-on-Trym_and_henleaze/"+ category)  Westbury-on-Trym &amp; Henleaze
      
        if typeof category === 'undefined'
          a(href="/wards/windmill_hill")  Windmill Hill
        else   
          a(href="/wards/windmill_hill/"+ category)  Windmill Hill

    //if ward is defined make the title display nice. get rid off all the _ replace them with a space and
    //turn the And to and
    if typeof wardName === 'undefined'        
    else   
      - var desired = wardName.replace(/_/g, " ");

      - function titleCase(str) {
      - var splitStr = str.toLowerCase().split(' ');
      - for (var i = 0; i < splitStr.length; i++) {
          // You do not need to check if i is larger than splitStr length, as your for does that for you
          // Assign it back to the array
      -    splitStr[i] = splitStr[i].charAt(0).toUpperCase() + splitStr[i].substring(1);     
      -}
      // Directly return the joined string
      - return splitStr.join(' '); 
      -}

      - var cleanWardName = titleCase(desired);
      - var re2 = /And/; 
      - cleanWardName= cleanWardName.replace(re2,'and');
      - // TODO: replace desired2 in all pages
      - var desired2 = cleanWardName;
      - var desiredcat = category.replace(/_/g, " ");

      - function titleCase(str) {
      - var splitString = str.toLowerCase().split(' ');
      - for (var i = 0; i < splitString.length; i++) {
          // You do not need to check if i is larger than splitStr length, as your for does that for you
          // Assign it back to the array
      -    splitString[i] = splitString[i].charAt(0).toUpperCase() + splitString[i].substring(1);    
      -}
      // Directly return the joined string
      - return splitString.join(' '); 
      -}

      - console.log("check tit",desiredcat);
    
      - var desiredcat2 = titleCase(desiredcat);
      - desiredcat2= desiredcat2.replace(/([a-zA-Z])(\d)/,"$1 $2");
      - //Todo: decide if to decapitalise Of/And 
      - var re = /And/; 
      - desiredcat2= desiredcat2.replace(re,'and');

    //structure of the page content
    .pageContent     
      .titH
          h1.tit #{desiredcat2}
          h2.subtit #{mainPTit}
          h2.cat #{cleanWardName}
          p #{subText}

      block content
      footer#footer.shadow 
        div.footerContet
          ul.footerLinks
            li Insight, Performance and Intelligence Service
            li www.bristol.gov.uk/statistics - email: research@bristol.gov.uk  


    //right menu categories
    div#sideCategories
      ul.catLinks
        .holder    
          li#popsMain.shadow2  
            a(href='#') Population 
              span.arrw &#9658;
          .popUp

            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/age_and_gender") Population by age and gender
            else   
              a(href="/wards/" + wardName + "/age_and_gender") Population by age and gender  
              
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/deprivation") Deprivation
            else   
              a(href="/wards/" + wardName + "/deprivation") Deprivation  
     
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/ethnicity") Ethnicity
            else   
              a(href="/wards/" + wardName + "/ethnicity") Ethnicity  
      
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/population_by_religion") Population by Religion
            else   
              a(href="/wards/" + wardName + "/population_by_religion") Population by Religion
        
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/population_by_country_of_birth_and_english_as_main_language") Population by country of birth and English as main language
            else   
              a(href="/wards/" + wardName + "/population_by_country_of_birth_and_english_as_main_language") Population by country of birth and English as main language


        .holder 
          li#popsMain.shadow2  
            a(href='#') Health and Wellbeing
               span.arrw &#9658;  

          .popUp
      
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/healthy_lifestyles")  Healthy Lifestyles
            else   
              a(href="/wards/" + wardName + "/healthy_lifestyles") Healthy Lifestyles  
    
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/life_expectancy") Life Expectancy
            else   
              a(href="/wards/" + wardName + "/life_expectancy")  Life Expectancy  
        
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/premature_mortality") Premature Mortality
            else   
              a(href="/wards/" + wardName + "/premature_mortality") Premature Mortality   
        
        .holder 
          li#popsMain.shadow2  
            a(href='#') Housing &amp; Households
               span.arrw &#9658;

          .popUp
           
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/housing") Housing
            else   
              a(href="/wards/" + wardName + "/housing") Housing   
        
            if typeof wardName === 'undefined'
                a(href="/wards/Ashley/household_size") Household Size   
            else   
                a(href="/wards/" + wardName + "/household_size") Household Size   
          
            if typeof wardName === 'undefined'
                a(href="/wards/Ashley/car_availability") Car Availability   
            else   
                a(href="/wards/" + wardName + "/car_availability ") Car Availability    
        
        .holder 
          li#popsMain.shadow2  
            a(href='#') Quality of Life
               span.arrw &#9658;
          .popUp
            
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/quality_of_life1") Quality of Life 1
            else   
              a(href="/wards/" + wardName + "/quality_of_life1") Quality of Life 1   
          
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/quality_of_life2") Quality of Life 2
            else   
              a(href="/wards/" + wardName + "/quality_of_life2") Quality of Life 2  
        
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/quality_of_life3") Quality of Life 3
            else   
              a(href="/wards/" + wardName + "/quality_of_life3") Quality of Life 3  
                
        .holder 
           .menuLinkA.shadow2  
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/child_poverty") Child Poverty
            
            else   
              a(href="/wards/" + wardName + "/child_poverty") Child Poverty
               
        .holder 
           .menuLinkA.shadow2      
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/crime") Crime
            else   
              a(href="/wards/" + wardName + "/crime") Crime

        .holder 
           .menuLinkA.shadow2     
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/education") Education
            else   
              a(href="/wards/" + wardName + "/education") Education

        .holder 
           .menuLinkA.shadow2   
            if typeof wardName === 'undefined'
              a(href="/wards/Ashley/social_care") Social Care
            else   
              a(href="/wards/" + wardName + "/social_care") Social Care
        
        .holder    
          li#popsMain.shadow2  
            a(href='#') Further Information
               span.arrw &#9658;
          .popUp
         
            a(href="/../background_and_help") Background and Help
          
            a(href="/../mapping_tools") Mapping Tools
    
            a(href="/../sources") Sources  
        
            a(href="/../ward_map") Ward Map        

